Package org.opensaml.xmlsec.signature.support

# Class SignatureValidationParametersCriterion

java.lang.Object
org.opensaml.xmlsec.signature.support.SignatureValidationParametersCriterion

All Implemented Interfaces:
  `Criterion`

public class SignatureValidationParametersCriterion extends Object implements Criterion
Criterion which holds an instance of `SignatureValidationParameters`.

This criterion is often used with implementations of the `SignatureTrustEngine`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private SignatureValidationParameters`
`params`
The SignatureValidationParameters instance.

## Constructor Summary

Constructors
Constructor
Description
`SignatureValidationParametersCriterion(SignatureValidationParameters validationParams)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`SignatureValidationParameters`
`getSignatureValidationParameters()`
Get the signature validation parameters instance.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### params

@Nonnull private SignatureValidationParameters params
The SignatureValidationParameters instance.

## Constructor Details

### SignatureValidationParametersCriterion

public SignatureValidationParametersCriterion(@Nonnull SignatureValidationParameters validationParams)
Constructor.

Parameters:
  `validationParams` - the signature validation parameters instance to wrap

## Method Details

### getSignatureValidationParameters

@Nonnull public SignatureValidationParameters getSignatureValidationParameters()
Get the signature validation parameters instance.

Returns:
  the parameters instance

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`